Api key provided on integrations tab in Easyflow platform.
Upload image payment link
Add an image to the payment link.
Send the business identifier in the business-id header, the recommended one, or in the x-business-id header. The user of the API key must be a collaborator of that business, a seller of an active sales team of that business, or an Easyflow platform administrator. A request without the business identifier returns 401 with BusinessId is required, a request that sends business-id and x-business-id with different values returns 401, a value that is not a business identifier returns 400 with Invalid param: [businessId], and a user that is not linked to the business gets 403.
⚠️ Note: File upload may not work here due to documentation limitations. Try using Postman or curl to test it properly.
⚠️ Note: It will not be possible to update the image if there is a sale on the payment link
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredIdentifier of the business the request refers to. The user of your API key must be linked to this business, as explained in The business identifier. A value that is not a business identifier returns
400withInvalid param: [businessId], a business that the user is not linked to returns403, and a request that also sendsx-business-idwith a different value returns401.
Path parameters
paymentLinkIdstringrequired
Request body
Content typemultipart/form-dataobject
picturestring · binaryrequiredImage file to upload. The file name must end in
.png,.jpgor.jpegand the file can have up to 5,000,000 bytes. Otherwise the API returns422.
Responses
200Returns the image that was saved
Returns the image that was saved
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
imageobjectShow child attributesHide child attributes
namestringpathstringurlstringisPublicbooleanextensionstring
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401The credential is missing or invalid, the request does not send the business identifier (message BusinessId is required), or it sends business-id and x-business-id with different values.
The credential is missing or invalid, the request does not send the business identifier (message BusinessId is required), or it sends business-id and x-business-id with different values.
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403The user of the API key is not a collaborator of the business sent in business-id or x-business-id, a seller of an active sales team of that business, or an Easyflow platform administrator.
The user of the API key is not a collaborator of the business sent in business-id or x-business-id, a seller of an active sales team of that business, or an Easyflow platform administrator.
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
422If the request is valid but cannot be processed, the API will return the following error response:
If the request is valid but cannot be processed, the API will return the following error response:
Content typeapplication/jsonobject
statusCodeintegerrequiredHTTP status code.
messagestringrequiredExplanation of the error.
errorstringName of the HTTP status, such as
Bad RequestorConflict.errorCodestringCode that identifies the error. Present only on some errors.
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.